datacache <- new.env(hash=TRUE, parent=emptyenv())

mgu74ammrefseq <- function() showQCData("mgu74ammrefseq", datacache)
mgu74ammrefseq_dbconn <- function() dbconn(datacache)
mgu74ammrefseq_dbfile <- function() dbfile(datacache)
mgu74ammrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgu74ammrefseq_dbInfo <- function() dbInfo(datacache)

mgu74ammrefseqORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgu74ammrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mgu74ammrefseq", "chip mgu74ammrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mgu74ammrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgu74ammrefseq_dbconn())
}

